From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/MooseX-Has-Options/
Date: Tue, 20 Nov 2012 22:54:56 +0000 (UTC) [thread overview]
Message-ID: <1353448297.1326bd12cc7ba919512505aaa020b07ddccbb3eb.kent@gentoo> (raw)
commit: 1326bd12cc7ba919512505aaa020b07ddccbb3eb
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Tue Nov 20 21:51:37 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Tue Nov 20 21:51:37 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=1326bd12
[newversion] MooseX-Has-Options-0.3.0
Package-Manager: portage-2.2.0_alpha141
Manifest-Sign-Key: ECD2C675C102CDA4
---
dev-perl/MooseX-Has-Options/ChangeLog | 6 ++
.../MooseX-Has-Options-0.3.0.ebuild | 54 ++++++++++++++++++++
2 files changed, 60 insertions(+), 0 deletions(-)
diff --git a/dev-perl/MooseX-Has-Options/ChangeLog b/dev-perl/MooseX-Has-Options/ChangeLog
index bded1bb..a2a1666 100644
--- a/dev-perl/MooseX-Has-Options/ChangeLog
+++ b/dev-perl/MooseX-Has-Options/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*MooseX-Has-Options-0.3.0 (20 Nov 2012)
+
+ 20 Nov 2012; Kent Fredric <kentfredric@gmail.com>
+ +MooseX-Has-Options-0.3.0.ebuild:
+ Version Bump
+
28 Oct 2012; Kent Fredric <kentfredric@gmail.com>
MooseX-Has-Options-0.2.0.ebuild:
Fix dependency on Package-Stash ( normalize )
diff --git a/dev-perl/MooseX-Has-Options/MooseX-Has-Options-0.3.0.ebuild b/dev-perl/MooseX-Has-Options/MooseX-Has-Options-0.3.0.ebuild
new file mode 100644
index 0000000..0d7b7d1
--- /dev/null
+++ b/dev-perl/MooseX-Has-Options/MooseX-Has-Options-0.3.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=PSHANGOV
+MODULE_VERSION=0.003
+inherit perl-module
+
+DESCRIPTION='Succinct options for Moose'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_build() {
+ # File::Find
+ echo dev-lang/perl
+ # File::Temp
+ echo virtual/perl-File-Temp
+ # Moose
+ echo dev-perl/Moose
+ # Test::More
+ echo virtual/perl-Test-Simple
+ # Test::Most
+ echo dev-perl/Test-Most
+ # namespace::autoclean
+ echo dev-perl/namespace-autoclean
+}
+perl_meta_runtime() {
+ # Class::Load
+ echo dev-perl/Class-Load
+ # List::MoreUtils
+ echo dev-perl/List-MoreUtils
+ # Package::Stash 0.18 ( 0.180.0 )
+ echo \>=dev-perl/Package-Stash-0.180.0
+ # String::RewritePrefix
+ echo dev-perl/String-RewritePrefix
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
next reply other threads:[~2012-11-20 22:56 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-11-20 22:54 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2012-11-22 2:19 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/MooseX-Has-Options/ Kent Fredric
2012-10-28 14:02 Kent Fredric
2012-03-27 9:30 Kent Fredric
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1353448297.1326bd12cc7ba919512505aaa020b07ddccbb3eb.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox